View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000561Ecere SDKidepublic2010-09-22 05:552013-05-19 22:15
Reporterredj 
Assigned Toredj 
PriorityimmediateSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformCross-PlatformOS\o/OS Version;-)
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000561: ide (ecere runtime): global settings: failing reload of settings while file is locked by other IDE instance.
Descriptionide (ecere runtime): global settings: failing reload of settings while file is locked by other IDE instance.

this caused compiler configurations to be lost or blanked out including all directories.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000381)
redj (administrator)
2010-09-22 05:57

fixed by doing trying multiple times to lock the file when loading settings
fixed by not clearing compiler configs unless a successful load of settings occurs

Added revision 19 to sdk\ecere\src\sys\GlobalAppSettings.ec
Added revision 55 to sdk\ide\src\settings.ec

- Issue History
Date Modified Username Field Change
2010-09-22 05:55 redj New Issue
2010-09-22 05:55 redj Status new => assigned
2010-09-22 05:55 redj Assigned To => redj
2010-09-22 05:57 redj Status assigned => resolved
2010-09-22 05:57 redj Resolution open => fixed
2010-09-22 05:57 redj Note Added: 0000381
2012-03-08 15:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 18:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker